Bug 18107 (GreyGeek) - xserver only works with VESA, intel give a blank screen on GM45 setup
Summary: xserver only works with VESA, intel give a blank screen on GM45 setup
Status: RESOLVED DUPLICATE of bug 17292
Alias: GreyGeek
Product: xorg
Classification: Unclassified
Component: Driver/intel (show other bugs)
Version: 7.4 (2008.09)
Hardware: x86 (IA32) Linux (All)
: highest blocker
Assignee: Gordon Jin
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-10-17 08:09 UTC by Jerry L Kreps
Modified: 2008-10-20 17:53 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jerry L Kreps 2008-10-17 08:09:19 UTC
I am running Mandriva 2009 power pack, which uses the Xorg 7.4 xserver, which contains the Intel 2.4.2 GM45 driver.  The kernel is  "Linux localhost 2.6.27-desktop-0.rc8.2mnb #1 SMP" 

My hardware is a new Sony VAIO VGN-FW140E/H laptop, which is detected as "Chipset Mobile Intel® GM45 Express Chipset found" in Xorg.0.log.  According to Adam Williamson, Mandriva video maintainer, the log does not indicate any errors and should be "working ok".  He recommended I file a bug report.

When I set up my configuration for the 1600X900 screen and then run the test option the screen that appears is blank... a very very light grey with no color at all and no "yes/no" buttons.  No mouse arrow shows and the blank screen displays until the test times out and control returns to the setup dialog, which continues to function normally.  This happens inn either the graphical setup or the console setup.  In the console setup a string of text (error msg?) appears but the console redraws itself to fast to read the msg.

To get by I am using the VESA mode which, strangely, runs glxgears at about 1300 fps. ?   Gears gives about 27f fps.

Here is segment of the Xlog.0.log beginning at the video chip detection:

*********************
(II) Primary Device is: PCI 00:02:0
(--) Assigning device section with no busID to primary device
(WW) intel: No matching Device section for instance (BusID PCI:0:2:1) found
(--) Chipset Mobile Intel® GM45 Express Chipset found
(II) resource ranges after xf86ClaimFixedResources() call:
[0] -1 0 0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
[1] -1 0 0x000f0000 - 0x000fffff (0x10000) MX[B]
[2] -1 0 0x000c0000 - 0x000effff (0x30000) MX[B]
[3] -1 0 0x00000000 - 0x0009ffff (0xa0000) MX[B]
[4] -1 0 0xd5500800 - 0xd55008ff (0x100) MX[B]
[5] -1 0 0xd5500900 - 0xd55009ff (0x100) MX[B]
[6] -1 0 0xd5500000 - 0xd55007ff (0x800) MX[B]
[7] -1 0 0xd0520000 - 0xd0523fff (0x4000) MX[B]
[8] -1 0 0xd1900000 - 0xd1901fff (0x2000) MX[B]
[9] -1 0 0xd5605000 - 0xd56050ff (0x100) MX[B]
[10] -1 0 0xd5604000 - 0xd56047ff (0x800) MX[B]
[11] -1 0 0xd5604800 - 0xd5604bff (0x400) MX[B]
[12] -1 0 0xd5600000 - 0xd5603fff (0x4000) MX[B]
[13] -1 0 0xd5604c00 - 0xd5604fff (0x400) MX[B]
[14] -1 0 0xd0400000 - 0xd04fffff (0x100000) MX[B](B)
[15] -1 0 0xc0000000 - 0xcfffffff (0x10000000) MX[B](B)
[16] -1 0 0xd0000000 - 0xd03fffff (0x400000) MX[B](B)
[17] -1 0 0x0000ffff - 0x0000ffff (0x1) IX[B]
[18] -1 0 0x00000000 - 0x000000ff (0x100) IX[B]
[19] -1 0 0x00002000 - 0x000020ff (0x100) IX[B]
[20] -1 0 0x00006000 - 0x0000601f (0x20) IX[B]
[21] -1 0 0x00006020 - 0x0000603f (0x20) IX[B]
[22] -1 0 0x00006100 - 0x00006103 (0x4) IX[B]
[23] -1 0 0x00006110 - 0x00006117 (0x8) IX[B]
[24] -1 0 0x00006120 - 0x00006123 (0x4) IX[B]
[25] -1 0 0x00006130 - 0x00006137 (0x8) IX[B]
[26] -1 0 0x00006040 - 0x0000605f (0x20) IX[B]
[27] -1 0 0x00006060 - 0x0000607f (0x20) IX[B]
[28] -1 0 0x00006080 - 0x0000609f (0x20) IX[B]
[29] -1 0 0x000060a0 - 0x000060bf (0x20) IX[B]
[30] -1 0 0x000060c0 - 0x000060df (0x20) IX[B]
[31] -1 0 0x000060e0 - 0x000060ff (0x20) IX[B]
[32] -1 0 0x00006140 - 0x00006147 (0x8) IX[B](B)
(II) resource ranges after probing:
[0] -1 0 0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
[1] -1 0 0x000f0000 - 0x000fffff (0x10000) MX[B]
[2] -1 0 0x000c0000 - 0x000effff (0x30000) MX[B]
[3] -1 0 0x00000000 - 0x0009ffff (0xa0000) MX[B]
[4] -1 0 0xd5500800 - 0xd55008ff (0x100) MX[B]
[5] -1 0 0xd5500900 - 0xd55009ff (0x100) MX[B]
[6] -1 0 0xd5500000 - 0xd55007ff (0x800) MX[B]
[7] -1 0 0xd0520000 - 0xd0523fff (0x4000) MX[B]
[8] -1 0 0xd1900000 - 0xd1901fff (0x2000) MX[B]
[9] -1 0 0xd5605000 - 0xd56050ff (0x100) MX[B]
[10] -1 0 0xd5604000 - 0xd56047ff (0x800) MX[B]
[11] -1 0 0xd5604800 - 0xd5604bff (0x400) MX[B]
[12] -1 0 0xd5600000 - 0xd5603fff (0x4000) MX[B]
[13] -1 0 0xd5604c00 - 0xd5604fff (0x400) MX[B]
[14] -1 0 0xd0400000 - 0xd04fffff (0x100000) MX[B](B)
[15] -1 0 0xc0000000 - 0xcfffffff (0x10000000) MX[B](B)
[16] -1 0 0xd0000000 - 0xd03fffff (0x400000) MX[B](B)
[17] 0 0 0x000a0000 - 0x000affff (0x10000) MS[B]
[18] 0 0 0x000b0000 - 0x000b7fff (0x8000) MS[B]
[19] 0 0 0x000b8000 - 0x000bffff (0x8000) MS[B]
[20] -1 0 0x0000ffff - 0x0000ffff (0x1) IX[B]
[21] -1 0 0x00000000 - 0x000000ff (0x100) IX[B]
[22] -1 0 0x00002000 - 0x000020ff (0x100) IX[B]
[23] -1 0 0x00006000 - 0x0000601f (0x20) IX[B]
[24] -1 0 0x00006020 - 0x0000603f (0x20) IX[B]
[25] -1 0 0x00006100 - 0x00006103 (0x4) IX[B]
[26] -1 0 0x00006110 - 0x00006117 (0x8) IX[B]
[27] -1 0 0x00006120 - 0x00006123 (0x4) IX[B]
[28] -1 0 0x00006130 - 0x00006137 (0x8) IX[B]
[29] -1 0 0x00006040 - 0x0000605f (0x20) IX[B]
[30] -1 0 0x00006060 - 0x0000607f (0x20) IX[B]
[31] -1 0 0x00006080 - 0x0000609f (0x20) IX[B]
[32] -1 0 0x000060a0 - 0x000060bf (0x20) IX[B]
[33] -1 0 0x000060c0 - 0x000060df (0x20) IX[B]
[34] -1 0 0x000060e0 - 0x000060ff (0x20) IX[B]
[35] -1 0 0x00006140 - 0x00006147 (0x8) IX[B](B)
[36] 0 0 0x000003b0 - 0x000003bb (0xc) IS[B]
[37] 0 0 0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/lib/xorg/modules//libint10.so
(II) Module int10: vendor="X.Org Foundation"
compiled for 1.4.2, module version = 1.0.0
ABI class: X.Org Video Driver, version 2.0
(II) Loading sub module "vbe"
(II) LoadModule: "vbe"
(II) Loading /usr/lib/xorg/modules//libvbe.so
(II) Module vbe: vendor="X.Org Foundation"
compiled for 1.4.2, module version = 1.1.0
ABI class: X.Org Video Driver, version 2.0
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/lib/xorg/modules//libvgahw.so
(II) Module vgahw: vendor="X.Org Foundation"
compiled for 1.4.2, module version = 0.1.0
ABI class: X.Org Video Driver, version 2.0
(**) intel(0): Depth 24, (--) framebuffer bpp 32
(==) intel(0): RGB weight 888
(==) intel(0): Default visual is TrueColor
(II) intel(0): Integrated Graphics Chipset: Intel(R) Mobile Intel® GM45 Express Chipset
(--) intel(0): Chipset: "Mobile Intel® GM45 Express Chipset"
(--) intel(0): Linear framebuffer at 0xC0000000
(--) intel(0): IO registers at addr 0xD0000000
(II) intel(0): 2 display pipes available.
(==) intel(0): Using XAA for acceleration
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Reloading /usr/lib/xorg/modules//libint10.so
(II) intel(0): initializing int10
(WW) intel(0): Bad V_BIOS checksum
(II) intel(0): Primary V_BIOS segment is: 0xc000
(II) intel(0): VESA BIOS detected
(II) intel(0): VESA VBE Version 3.0
(II) intel(0): VESA VBE Total Mem: 131008 kB
(II) intel(0): VESA VBE OEM: Intel(r)Cantiga Graphics Chip Accelerated VGA BIOS
(II) intel(0): VESA VBE OEM Software Rev: 1.0
(II) intel(0): VESA VBE OEM Vendor: Intel Corporation
(II) intel(0): VESA VBE OEM Product: Intel(r)Cantiga Graphics Controller
(II) intel(0): VESA VBE OEM Product Rev: Hardware Version 0.0
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"(II) Module "ddc" already built-in
(II) Loading sub module "i2c"
(II) LoadModule: "i2c"(II) Module "i2c" already built-in
(II) intel(0): Output VGA using monitor section monitor1
(**) intel(0): Option "PreferredMode" "1440x900"
(II) intel(0): I2C bus "CRTDDC_A" initialized.
(II) intel(0): Output LVDS has no monitor section
(II) intel(0): I2C bus "LVDSDDC_C" initialized.
(II) intel(0): Attempting to determine panel fixed mode.
(II) intel(0): I2C device "LVDSDDC_C:ddc2" registered at address 0xA0.
(II) intel(0): I2C device "LVDSDDC_C:ddc2" removed.
(II) intel(0): found backlight control method /sys/class/backlight/acpi_video0
(II) intel(0): I2C bus "SDVOCTRL_E for SDVOB" initialized.
(II) intel(0): I2C device "SDVOCTRL_E for SDVOB:SDVO Controller B" registered at address 0x70.
(II) intel(0): No SDVO device found on SDVOB
(II) intel(0): I2C device "SDVOCTRL_E for SDVOB:SDVO Controller B" removed.
(II) intel(0): I2C bus "SDVOCTRL_E for SDVOB" removed.
(II) intel(0): Output HDMI-1 has no monitor section
(II) intel(0): I2C bus "HDMIDDC_B" initialized.
(II) intel(0): HDMI output 1 detected
(II) intel(0): I2C device "LVDSDDC_C:ddc2" registered at address 0xA0.
(II) intel(0): I2C device "LVDSDDC_C:ddc2" removed.
(II) intel(0): Output VGA disconnected
(II) intel(0): Output LVDS connected
(II) intel(0): Output HDMI-1 disconnected
(II) intel(0): Output LVDS using initial mode 1600x900
(II) intel(0): Monitoring connected displays enabled
(II) intel(0): detected 512 kB GTT.
(II) intel(0): detected 130556 kB stolen memory.
(==) intel(0): video overlay key set to 0x101fe
(==) intel(0): Will not try to enable page flipping
(==) intel(0): Triple buffering disabled
(==) intel(0): Intel XvMC decoder disabled
(==) intel(0): Using gamma correction (1.0, 1.0, 1.0)
(==) intel(0): DPI set to (96, 96)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/lib/xorg/modules//libfb.so
(II) Module fb: vendor="X.Org Foundation"
compiled for 1.4.2, module version = 1.0.0
ABI class: X.Org ANSI C Emulation, version 0.3
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Loading /usr/lib/xorg/modules//libxaa.so
(II) Module xaa: vendor="X.Org Foundation"
compiled for 1.4.2, module version = 1.2.0
ABI class: X.Org Video Driver, version 2.0
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"(II) Module "ramdac" already built-in
(II) intel(0): Comparing regs from server start up to After PreInit
(WW) intel(0): Register 0x61200 (PP_STATUS) changed from 0xc0000008 to 0xd000000a
(WW) intel(0): PP_STATUS before: on, ready, sequencing idle
(WW) intel(0): PP_STATUS after: on, ready, sequencing on
(WW) intel(0): Register 0x71024 (PIPEBSTAT) changed from 0x00000206 to 0x00000000
(WW) intel(0): PIPEBSTAT before: status: VSYNC_INT_STATUS SVBLANK_INT_STATUS VBLANK_INT_STATUS
(WW) intel(0): PIPEBSTAT after: status:
(WW) intel(0): Register 0x321b (FBC_FENCE_OFF) changed from 0x87021800 to 0x62000200
(==) Depth 24 pixmap format is 32 bpp
(II) do I need RAC? No, I don't.
(II) resource ranges after preInit:
[0] 0 0 0xc0000000 - 0xcfffffff (0x10000000) MS[B]
[1] 0 0 0xd0000000 - 0xd03fffff (0x400000) MS[B]
[2] -1 0 0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
[3] -1 0 0x000f0000 - 0x000fffff (0x10000) MX[B]
[4] -1 0 0x000c0000 - 0x000effff (0x30000) MX[B]
[5] -1 0 0x00000000 - 0x0009ffff (0xa0000) MX[B]
[6] -1 0 0xd5500800 - 0xd55008ff (0x100) MX[B]
[7] -1 0 0xd5500900 - 0xd55009ff (0x100) MX[B]
[8] -1 0 0xd5500000 - 0xd55007ff (0x800) MX[B]
[9] -1 0 0xd0520000 - 0xd0523fff (0x4000) MX[B]
[10] -1 0 0xd1900000 - 0xd1901fff (0x2000) MX[B]
[11] -1 0 0xd5605000 - 0xd56050ff (0x100) MX[B]
[12] -1 0 0xd5604000 - 0xd56047ff (0x800) MX[B]
[13] -1 0 0xd5604800 - 0xd5604bff (0x400) MX[B]
[14] -1 0 0xd5600000 - 0xd5603fff (0x4000) MX[B]
[15] -1 0 0xd5604c00 - 0xd5604fff (0x400) MX[B]
[16] -1 0 0xd0400000 - 0xd04fffff (0x100000) MX[B](B)
[17] -1 0 0xc0000000 - 0xcfffffff (0x10000000) MX[B](B)
[18] -1 0 0xd0000000 - 0xd03fffff (0x400000) MX[B](B)
[19] 0 0 0x000a0000 - 0x000affff (0x10000) MS[B](OprD)
[20] 0 0 0x000b0000 - 0x000b7fff (0x8000) MS[B](OprD)
[21] 0 0 0x000b8000 - 0x000bffff (0x8000) MS[B](OprD)
[22] 0 0 0x00006140 - 0x00006147 (0x8) IS[B]
[23] -1 0 0x0000ffff - 0x0000ffff (0x1) IX[B]
[24] -1 0 0x00000000 - 0x000000ff (0x100) IX[B]
[25] -1 0 0x00002000 - 0x000020ff (0x100) IX[B]
[26] -1 0 0x00006000 - 0x0000601f (0x20) IX[B]
[27] -1 0 0x00006020 - 0x0000603f (0x20) IX[B]
[28] -1 0 0x00006100 - 0x00006103 (0x4) IX[B]
[29] -1 0 0x00006110 - 0x00006117 (0x8) IX[B]
[30] -1 0 0x00006120 - 0x00006123 (0x4) IX[B]
[31] -1 0 0x00006130 - 0x00006137 (0x8) IX[B]
[32] -1 0 0x00006040 - 0x0000605f (0x20) IX[B]
[33] -1 0 0x00006060 - 0x0000607f (0x20) IX[B]
[34] -1 0 0x00006080 - 0x0000609f (0x20) IX[B]
[35] -1 0 0x000060a0 - 0x000060bf (0x20) IX[B]
[36] -1 0 0x000060c0 - 0x000060df (0x20) IX[B]
[37] -1 0 0x000060e0 - 0x000060ff (0x20) IX[B]
[38] -1 0 0x00006140 - 0x00006147 (0x8) IX[B](B)
[39] 0 0 0x000003b0 - 0x000003bb (0xc) IS[B](OprU)
[40] 0 0 0x000003c0 - 0x000003df (0x20) IS[B](OprU)
(II) intel(0): Kernel reported 716032 total, 1 used
(II) intel(0): I830CheckAvailableMemory: 2864124 kB available
(EE) intel(0): [dri] I830CheckDRIAvailable failed: dri not loaded
(**) intel(0): Framebuffer compression disabled
(**) intel(0): Tiling enabled
(==) intel(0): VideoRam: 262144 KB
(II) intel(0): Attempting memory allocation with tiled buffers.
(II) intel(0): Allocating 4800 scanlines for pixmap cache
(II) intel(0): Tiled allocation successful.
(II) intel(0): Page Flipping disabled
(==) intel(0): Write-combining range (0xc0000000,0x10000000)
(II) intel(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0, hwp->PIOOffset is 0x0000
(II) intel(0): Using XFree86 Acceleration Architecture (XAA)
Screen to screen bit blits
Solid filled rectangles
8x8 mono pattern filled rectangles
Indirect CPU to Screen color expansion
Solid Horizontal and Vertical Lines
Setting up tile and stipple cache:
32 128x128 slots
32 256x256 slots
16 512x512 slots
(==) intel(0): Backing store disabled
(==) intel(0): Silken mouse enabled
(II) intel(0): Initializing HW Cursor
(II) intel(0): Fixed memory allocation layout:
(II) intel(0): 0x00000000-0x0001ffff: ring buffer (128 kB)
(II) intel(0): 0x00020000-0x00029fff: HW cursors (40 kB)
(II) intel(0): 0x0002a000-0x00031fff: logical 3D context (32 kB)
(II) intel(0): 0x00032000-0x00043fff: exa G965 state buffer (72 kB)
(II) intel(0): 0x00044000-0x00044fff: power context (4 kB)
(II) intel(0): 0x00050000-0x028effff: front buffer (41600 kB)
(II) intel(0): 0x028f0000-0x028fffff: xaa scratch (64 kB)
(II) intel(0): 0x10000000: end of aperture
(II) intel(0): using SSC reference clock of 100 MHz
(II) intel(0): Selecting standard 18 bit TMDS pixel format.
(II) intel(0): Output configuration:
(II) intel(0): Pipe A is off
(II) intel(0): Display plane A is now disabled and connected to pipe A.
(II) intel(0): Pipe B is on
(II) intel(0): Display plane B is now enabled and connected to pipe B.
(II) intel(0): Output VGA is connected to pipe none
(II) intel(0): Output LVDS is connected to pipe B
(II) intel(0): Output HDMI-1 is connected to pipe none
(II) intel(0): RandR 1.2 enabled, ignore the following RandR disabled message.
(II) intel(0): using SSC reference clock of 100 MHz
(II) intel(0): Selecting standard 18 bit TMDS pixel format.
(**) Option "dpms"
(**) intel(0): DPMS enabled
(II) intel(0): Set up textured video
(II) intel(0): direct rendering: Failed
(WW) intel(0): Option "PreferredMode" is not used
(--) RandR disabled
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension XAccessControlExtension
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
(II) Initializing built-in extension XEVIE
(II) AIGLX: Screen 0 is not DRI capable
(II) Loading sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Loading /usr/lib/xorg/modules/extensions//libGLcore.so
(II) Module GLcore: vendor="X.Org Foundation"
compiled for 1.4.2, module version = 1.0.0
ABI class: X.Org Server Extension, version 0.3
(II) GLX: Initialized MESA-PROXY GL provider for screen 0
(II) intel(0): Setting screen physical size to 423 x 238
(**) Option "CoreKeyboard"
(**) Keyboard1: always reports core events
(**) Option "Protocol" "standard"
(**) Keyboard1: Protocol: standard
(**) Option "AutoRepeat" "500 30"
(**) Option "XkbRules" "xorg"
(**) Keyboard1: XkbRules: "xorg"
(**) Option "XkbModel" "pc105"
(**) Keyboard1: XkbModel: "pc105"
(**) Option "XkbLayout" "us"
(**) Keyboard1: XkbLayout: "us"
(**) Option "XkbOptions" "compose:rwin"
(**) Keyboard1: XkbOptions: "compose:rwin"
(**) Option "CustomKeycodes" "off"
(**) Keyboard1: CustomKeycodes disabled
(**) Option "Protocol" "ExplorerPS/2"
(**) Mouse1: Device: "/dev/mouse"
(**) Mouse1: Protocol: "ExplorerPS/2"
(**) Option "CorePointer"
(**) Mouse1: always reports core events
(**) Option "Device" "/dev/mouse"
(==) Mouse1: Emulate3Buttons, Emulate3Timeout: 50
(**) Mouse1: ZAxisMapping: buttons 4 and 5
(**) Mouse1: Buttons: 9
(**) Mouse1: Sensitivity: 1
(**) Option "SendCoreEvents"
(**) Mouse2: always reports core events
(**) Mouse2: Device: "/dev/input/by-id/usb-Logitech_USB_Receiver-event-mouse"
(II) Mouse2: Found x and y relative axes
(II) Mouse2: Found mouse buttons
(II) Mouse2: Configuring as mouse
(II) Synaptics touchpad driver version 0.14.6 (1406)
(--) SynapticsMouse1 auto-dev sets device to /dev/input/event1
(**) Option "Device" "/dev/input/event1"
(**) Option "SHMConfig" "on"
(**) Option "LeftEdge" "120"
(**) Option "RightEdge" "830"
(**) Option "TopEdge" "120"
(**) Option "BottomEdge" "650"
(**) Option "VertScrollDelta" "20"
(**) Option "HorizScrollDelta" "20"
(**) Option "EdgeMotionMinSpeed" "200"
(**) Option "EdgeMotionMaxSpeed" "200"
(**) Option "FingerLow" "14"
(**) Option "FingerHigh" "15"
(**) Option "MaxTapMove" "110"
(**) Option "UpDownScrolling" "0"
(**) Option "CircularScrolling" "1"
(**) Option "CircScrollTrigger" "2"
(--) SynapticsMouse1 touchpad found
(**) Option "SendCoreEvents"
(**) SynapticsMouse1: always reports core events
(II) evaluating device (SynapticsMouse1)
(II) XINPUT: Adding extended input device "SynapticsMouse1" (type: MOUSE)
(II) evaluating device (Mouse2)
(II) XINPUT: Adding extended input device "Mouse2" (type: MOUSE)
(II) evaluating device (Mouse1)
(II) XINPUT: Adding extended input device "Mouse1" (type: MOUSE)
(II) evaluating device (Keyboard1)
(II) XINPUT: Adding extended input device "Keyboard1" (type: KEYBOARD)
(--) SynapticsMouse1 auto-dev sets device to /dev/input/event1
(**) Option "Device" "/dev/input/event1"
(--) SynapticsMouse1 touchpad found
(II) Mouse1: ps2EnableDataReporting: succeeded
(II) Mouse2: Close
************************
Comment 1 Jerry L Kreps 2008-10-17 11:39:26 UTC
I am running Mandriva 2009 power pack, which uses the Xorg 7.4 xserver, which
contains the Intel 2.4.2 GM45 driver.  The kernel is  "Linux localhost
2.6.27-desktop-0.rc8.2mnb #1 SMP" 
 
My hardware is a new Sony VAIO VGN-FW140E/H laptop, which is detected as
"Chipset Mobile Intel® GM45 Express Chipset found" in Xorg.0.log.  According
to Adam Williamson, Mandriva video maintainer, the log does not indicate any
errors and should be "working ok".  He recommended I file a bug report.
 
When I set up my configuration for the 1600X900 screen and then run the test
option the screen that appears is blank... a very very light grey with no color
at all and no "yes/no" buttons.  No mouse arrow shows and the blank screen
displays until the test times out and control returns to the setup dialog,
which continues to function normally.  This happens inn either the graphical
setup or the console setup.  In the console setup a string of text (error msg?)
appears but the console redraws itself to fast to read the msg.

Instead of merely restarting the xserver if I reboot and log in then I get a black screen.  After a short pause the music that indicates the desktop is up and running plays but the screen is still blank.  I can Alt-F2 to a console and run XFdrake or reboot.
 
To get by I am using the VESA mode which, strangely, runs glxgears at about
1300 fps. ?   Gears gives about 27f fps.
 
Here is the Xlog.0.log :
 *********************

X.Org X Server 1.4.2
Release Date: 11 June 2008
X Protocol Version 11, Revision 0
Build Operating System: Linux_2.6.22.12-server-1mdv Mandriva
Current Operating System: Linux localhost 2.6.27-desktop-0.rc8.2mnb #1 SMP Thu Oct 2 06:11:56 EDT 2008 i686
Build Date: 25 August 2008  03:08:18PM
 
	Before reporting problems, check http://qa.mandriva.com
	to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Fri Oct 17 13:21:10 2008
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "layout1"
(**) |-->Screen "screen1" (0)
(**) |   |-->Monitor "monitor1"
(**) |   |-->Device "device1"
(**) |-->Input Device "Keyboard1"
(**) |-->Input Device "Mouse1"
(**) |-->Input Device "Mouse2"
(**) |-->Input Device "SynapticsMouse1"
(**) Option "AllowMouseOpenFail"
(==) Automatically adding devices
(==) Automatically enabling devices
(==) No FontPath specified.  Using compiled-in default.
(==) FontPath set to:
	catalogue:/etc/X11/fontpath.d
(==) RgbPath set to "/usr/share/X11/rgb"
(==) ModulePath set to "/usr/lib/xorg/modules"
(II) Open ACPI successful (/var/run/acpid.socket)
(II) Loader magic: 0x820e860
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.3
	X.Org Video Driver: 2.0
	X.Org XInput driver : 2.0
	X.Org Server Extension : 0.3
	X.Org Font Renderer : 0.5
(II) Loader running on linux
(II) LoadModule: "pcidata"
(II) Loading /usr/lib/xorg/modules//libpcidata.so
(II) Module pcidata: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.0
	ABI class: X.Org Video Driver, version 2.0
(++) using VT number 7

(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 8086,2a40 card 104d,9035 rev 07 class 06,00,00 hdr 00
(II) PCI: 00:02:0: chip 8086,2a42 card 104d,9035 rev 07 class 03,00,00 hdr 80
(II) PCI: 00:02:1: chip 8086,2a43 card 104d,9035 rev 07 class 03,80,00 hdr 80
(II) PCI: 00:1a:0: chip 8086,2937 card 104d,9035 rev 03 class 0c,03,00 hdr 80
(II) PCI: 00:1a:1: chip 8086,2938 card 104d,9035 rev 03 class 0c,03,00 hdr 00
(II) PCI: 00:1a:7: chip 8086,293c card 104d,9035 rev 03 class 0c,03,20 hdr 00
(II) PCI: 00:1b:0: chip 8086,293e card 104d,9035 rev 03 class 04,03,00 hdr 00
(II) PCI: 00:1c:0: chip 8086,2940 card 0000,0000 rev 03 class 06,04,00 hdr 81
(II) PCI: 00:1c:1: chip 8086,2942 card 0000,0000 rev 03 class 06,04,00 hdr 81
(II) PCI: 00:1c:3: chip 8086,2946 card 0000,0000 rev 03 class 06,04,00 hdr 81
(II) PCI: 00:1c:4: chip 8086,2948 card 0000,0000 rev 03 class 06,04,00 hdr 81
(II) PCI: 00:1d:0: chip 8086,2934 card 104d,9035 rev 03 class 0c,03,00 hdr 80
(II) PCI: 00:1d:1: chip 8086,2935 card 104d,9035 rev 03 class 0c,03,00 hdr 00
(II) PCI: 00:1d:2: chip 8086,2936 card 104d,9035 rev 03 class 0c,03,00 hdr 00
(II) PCI: 00:1d:3: chip 8086,2939 card 104d,9035 rev 03 class 0c,03,00 hdr 00
(II) PCI: 00:1d:7: chip 8086,293a card 104d,9035 rev 03 class 0c,03,20 hdr 00
(II) PCI: 00:1e:0: chip 8086,2448 card 0000,0000 rev 93 class 06,04,01 hdr 01
(II) PCI: 00:1f:0: chip 8086,2919 card 104d,9035 rev 03 class 06,01,00 hdr 80
(II) PCI: 00:1f:2: chip 8086,2929 card 104d,9035 rev 03 class 01,06,01 hdr 00
(II) PCI: 00:1f:3: chip 8086,2930 card 104d,9035 rev 03 class 0c,05,00 hdr 00
(II) PCI: 05:00:0: chip 8086,4232 card 8086,1301 rev 00 class 02,80,00 hdr 00
(II) PCI: 07:00:0: chip 11ab,4363 card 104d,9035 rev 13 class 02,00,00 hdr 00
(II) PCI: 09:03:0: chip 1180,0832 card 104d,9035 rev 05 class 0c,00,10 hdr 80
(II) PCI: 09:03:1: chip 1180,0822 card 104d,9035 rev 22 class 08,05,00 hdr 80
(II) PCI: 09:03:2: chip 1180,0592 card 104d,9035 rev 12 class 08,80,00 hdr 80
(II) PCI: End of PCI scan
(II) Intel Bridge workaround enabled
(II) Host-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (0,0,9), BCTRL: 0x0008 (VGA_EN is set)
(II) Bus 0 I/O range:
	[0] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 1: bridge is at (0:28:0), (0,1,2), BCTRL: 0x0000 (VGA_EN is cleared)
(II) Bus 1 I/O range:
	[0] -1	0	0x00005000 - 0x00005fff (0x1000) IX[B]
(II) Bus 1 non-prefetchable memory range:
	[0] -1	0	0xd4100000 - 0xd54fffff (0x1400000) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 3: bridge is at (0:28:1), (0,3,4), BCTRL: 0x0000 (VGA_EN is cleared)
(II) Bus 3 I/O range:
	[0] -1	0	0x00004000 - 0x00004fff (0x1000) IX[B]
(II) Bus 3 non-prefetchable memory range:
	[0] -1	0	0xd2d00000 - 0xd40fffff (0x1400000) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 5: bridge is at (0:28:3), (0,5,6), BCTRL: 0x0000 (VGA_EN is cleared)
(II) Bus 5 I/O range:
	[0] -1	0	0x00003000 - 0x00003fff (0x1000) IX[B]
(II) Bus 5 non-prefetchable memory range:
	[0] -1	0	0xd1900000 - 0xd2cfffff (0x1400000) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 7: bridge is at (0:28:4), (0,7,8), BCTRL: 0x0000 (VGA_EN is cleared)
(II) Bus 7 I/O range:
	[0] -1	0	0x00002000 - 0x00002fff (0x1000) IX[B]
(II) Bus 7 non-prefetchable memory range:
	[0] -1	0	0xd0500000 - 0xd18fffff (0x1400000) MX[B]
(II) Subtractive PCI-to-PCI bridge:
(II) Bus 9: bridge is at (0:30:0), (0,9,9), BCTRL: 0x0000 (VGA_EN is cleared)
(II) Bus 9 non-prefetchable memory range:
	[0] -1	0	0xd5500000 - 0xd55fffff (0x100000) MX[B]
(II) PCI-to-ISA bridge:
(II) Bus -1: bridge is at (0:31:0), (0,-1,-1), BCTRL: 0x0008 (VGA_EN is set)
(--) PCI:*(0:2:0) Intel Corporation Mobile Integrated Graphics Controller rev 7, Mem @ 0xd0000000/22, 0xc0000000/28, I/O @ 0x6140/3
(--) PCI: (0:2:1) Intel Corporation Mobile Integrated Graphics Controller rev 7, Mem @ 0xd0400000/20
(II) Addressable bus resource ranges are
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
	[1] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[5] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) Active PCI resource ranges:
	[0] -1	0	0xd5500800 - 0xd55008ff (0x100) MX[B]
	[1] -1	0	0xd5500900 - 0xd55009ff (0x100) MX[B]
	[2] -1	0	0xd5500000 - 0xd55007ff (0x800) MX[B]
	[3] -1	0	0xd0520000 - 0xd0523fff (0x4000) MX[B]
	[4] -1	0	0xd1900000 - 0xd1901fff (0x2000) MX[B]
	[5] -1	0	0xd5605000 - 0xd56050ff (0x100) MX[B]
	[6] -1	0	0xd5604000 - 0xd56047ff (0x800) MX[B]
	[7] -1	0	0xd5604800 - 0xd5604bff (0x400) MX[B]
	[8] -1	0	0xd5600000 - 0xd5603fff (0x4000) MX[B]
	[9] -1	0	0xd5604c00 - 0xd5604fff (0x400) MX[B]
	[10] -1	0	0xd0400000 - 0xd04fffff (0x100000) MX[B](B)
	[11] -1	0	0xc0000000 - 0xcfffffff (0x10000000) MX[B](B)
	[12] -1	0	0xd0000000 - 0xd03fffff (0x400000) MX[B](B)
	[13] -1	0	0x00002000 - 0x000020ff (0x100) IX[B]
	[14] -1	0	0x00006000 - 0x0000601f (0x20) IX[B]
	[15] -1	0	0x00006020 - 0x0000603f (0x20) IX[B]
	[16] -1	0	0x00006100 - 0x00006103 (0x4) IX[B]
	[17] -1	0	0x00006110 - 0x00006117 (0x8) IX[B]
	[18] -1	0	0x00006120 - 0x00006123 (0x4) IX[B]
	[19] -1	0	0x00006130 - 0x00006137 (0x8) IX[B]
	[20] -1	0	0x00006040 - 0x0000605f (0x20) IX[B]
	[21] -1	0	0x00006060 - 0x0000607f (0x20) IX[B]
	[22] -1	0	0x00006080 - 0x0000609f (0x20) IX[B]
	[23] -1	0	0x000060a0 - 0x000060bf (0x20) IX[B]
	[24] -1	0	0x000060c0 - 0x000060df (0x20) IX[B]
	[25] -1	0	0x000060e0 - 0x000060ff (0x20) IX[B]
	[26] -1	0	0x00006140 - 0x00006147 (0x8) IX[B](B)
(II) Active PCI resource ranges after removing overlaps:
	[0] -1	0	0xd5500800 - 0xd55008ff (0x100) MX[B]
	[1] -1	0	0xd5500900 - 0xd55009ff (0x100) MX[B]
	[2] -1	0	0xd5500000 - 0xd55007ff (0x800) MX[B]
	[3] -1	0	0xd0520000 - 0xd0523fff (0x4000) MX[B]
	[4] -1	0	0xd1900000 - 0xd1901fff (0x2000) MX[B]
	[5] -1	0	0xd5605000 - 0xd56050ff (0x100) MX[B]
	[6] -1	0	0xd5604000 - 0xd56047ff (0x800) MX[B]
	[7] -1	0	0xd5604800 - 0xd5604bff (0x400) MX[B]
	[8] -1	0	0xd5600000 - 0xd5603fff (0x4000) MX[B]
	[9] -1	0	0xd5604c00 - 0xd5604fff (0x400) MX[B]
	[10] -1	0	0xd0400000 - 0xd04fffff (0x100000) MX[B](B)
	[11] -1	0	0xc0000000 - 0xcfffffff (0x10000000) MX[B](B)
	[12] -1	0	0xd0000000 - 0xd03fffff (0x400000) MX[B](B)
	[13] -1	0	0x00002000 - 0x000020ff (0x100) IX[B]
	[14] -1	0	0x00006000 - 0x0000601f (0x20) IX[B]
	[15] -1	0	0x00006020 - 0x0000603f (0x20) IX[B]
	[16] -1	0	0x00006100 - 0x00006103 (0x4) IX[B]
	[17] -1	0	0x00006110 - 0x00006117 (0x8) IX[B]
	[18] -1	0	0x00006120 - 0x00006123 (0x4) IX[B]
	[19] -1	0	0x00006130 - 0x00006137 (0x8) IX[B]
	[20] -1	0	0x00006040 - 0x0000605f (0x20) IX[B]
	[21] -1	0	0x00006060 - 0x0000607f (0x20) IX[B]
	[22] -1	0	0x00006080 - 0x0000609f (0x20) IX[B]
	[23] -1	0	0x000060a0 - 0x000060bf (0x20) IX[B]
	[24] -1	0	0x000060c0 - 0x000060df (0x20) IX[B]
	[25] -1	0	0x000060e0 - 0x000060ff (0x20) IX[B]
	[26] -1	0	0x00006140 - 0x00006147 (0x8) IX[B](B)
(II) OS-reported resource ranges after removing overlaps with PCI:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[5] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) All system resource ranges:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0xd5500800 - 0xd55008ff (0x100) MX[B]
	[5] -1	0	0xd5500900 - 0xd55009ff (0x100) MX[B]
	[6] -1	0	0xd5500000 - 0xd55007ff (0x800) MX[B]
	[7] -1	0	0xd0520000 - 0xd0523fff (0x4000) MX[B]
	[8] -1	0	0xd1900000 - 0xd1901fff (0x2000) MX[B]
	[9] -1	0	0xd5605000 - 0xd56050ff (0x100) MX[B]
	[10] -1	0	0xd5604000 - 0xd56047ff (0x800) MX[B]
	[11] -1	0	0xd5604800 - 0xd5604bff (0x400) MX[B]
	[12] -1	0	0xd5600000 - 0xd5603fff (0x4000) MX[B]
	[13] -1	0	0xd5604c00 - 0xd5604fff (0x400) MX[B]
	[14] -1	0	0xd0400000 - 0xd04fffff (0x100000) MX[B](B)
	[15] -1	0	0xc0000000 - 0xcfffffff (0x10000000) MX[B](B)
	[16] -1	0	0xd0000000 - 0xd03fffff (0x400000) MX[B](B)
	[17] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[18] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[19] -1	0	0x00002000 - 0x000020ff (0x100) IX[B]
	[20] -1	0	0x00006000 - 0x0000601f (0x20) IX[B]
	[21] -1	0	0x00006020 - 0x0000603f (0x20) IX[B]
	[22] -1	0	0x00006100 - 0x00006103 (0x4) IX[B]
	[23] -1	0	0x00006110 - 0x00006117 (0x8) IX[B]
	[24] -1	0	0x00006120 - 0x00006123 (0x4) IX[B]
	[25] -1	0	0x00006130 - 0x00006137 (0x8) IX[B]
	[26] -1	0	0x00006040 - 0x0000605f (0x20) IX[B]
	[27] -1	0	0x00006060 - 0x0000607f (0x20) IX[B]
	[28] -1	0	0x00006080 - 0x0000609f (0x20) IX[B]
	[29] -1	0	0x000060a0 - 0x000060bf (0x20) IX[B]
	[30] -1	0	0x000060c0 - 0x000060df (0x20) IX[B]
	[31] -1	0	0x000060e0 - 0x000060ff (0x20) IX[B]
	[32] -1	0	0x00006140 - 0x00006147 (0x8) IX[B](B)
(II) "extmod" will be loaded. This was enabled by default and also specified in the config file.
(II) "dbe" will be loaded. This was enabled by default and also specified in the config file.
(II) "glx" will be loaded. This was enabled by default and also specified in the config file.
(II) "freetype" will be loaded. This was enabled by default and also specified in the config file.
(II) "type1" will be loaded. This was enabled by default and also specified in the config file.
(II) "record" will be loaded by default.
(II) "dri" will be loaded. This was enabled by default and also specified in the config file.
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions//libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "v4l"
(II) Loading /usr/lib/xorg/modules/drivers//v4l_drv.so
(II) Module v4l: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 0.1.1
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions//libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension SHAPE
(II) Loading extension Multi-Buffering
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "type1"
(II) Loading /usr/lib/xorg/modules/fonts//libtype1.so
(II) Module type1: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.2
	Module class: X.Org Font Renderer
	ABI class: X.Org Font Renderer, version 0.5
(II) Loading font Type1
(II) LoadModule: "freetype"
(II) Loading /usr/lib/xorg/modules/fonts//libfreetype.so
(II) Module freetype: vendor="X.Org Foundation & the After X-TT Project"
	compiled for 1.4.2, module version = 2.1.0
	Module class: X.Org Font Renderer
	ABI class: X.Org Font Renderer, version 0.5
(II) Loading font FreeType
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions//libglx.so
(II) Module glx: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.3
(==) AIGLX enabled
(II) Loading extension GLX
(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions//libdri.so
(II) Module dri: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension XFree86-DRI
(II) LoadModule: "record"
(II) Loading /usr/lib/xorg/modules/extensions//librecord.so
(II) Module record: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.13.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension RECORD
(II) LoadModule: "intel"
(II) Loading /usr/lib/xorg/modules/drivers//intel_drv.so
(II) Module intel: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 2.4.2
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "kbd"
(II) Loading /usr/lib/xorg/modules/input//kbd_drv.so
(II) Module kbd: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.3.1
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 2.0
(II) LoadModule: "mouse"
(II) Loading /usr/lib/xorg/modules/input//mouse_drv.so
(II) Module mouse: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.3.0
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 2.0
(II) LoadModule: "evdev"
(II) Loading /usr/lib/xorg/modules/input//evdev_drv.so
(II) Module evdev: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 2.0.5
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 2.0
(II) LoadModule: "synaptics"
(II) Loading /usr/lib/xorg/modules/input//synaptics_drv.so
(II) Module synaptics: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.0
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 2.0
(II) v4l driver for Video4Linux
(II) intel: Driver for Intel Integrated Graphics Chipsets: i810,
	i810-dc100, i810e, i815, i830M, 845G, 852GM/855GM, 865G, 915G,
	E7221 (i915), 915GM, 945G, 945GM, 945GME, 965G, G35, 965Q, 946GZ,
	965GM, 965GME/GLE, G33, Q35, Q33,
	Mobile Intel® GM45 Express Chipset,
	Intel Integrated Graphics Device, G45/G43, Q45/Q43, G41
(II) Primary Device is: PCI 00:02:0
(--) Assigning device section with no busID to primary device
(WW) intel: No matching Device section for instance (BusID PCI:0:2:1) found
(--) Chipset Mobile Intel® GM45 Express Chipset found
(II) resource ranges after xf86ClaimFixedResources() call:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0xd5500800 - 0xd55008ff (0x100) MX[B]
	[5] -1	0	0xd5500900 - 0xd55009ff (0x100) MX[B]
	[6] -1	0	0xd5500000 - 0xd55007ff (0x800) MX[B]
	[7] -1	0	0xd0520000 - 0xd0523fff (0x4000) MX[B]
	[8] -1	0	0xd1900000 - 0xd1901fff (0x2000) MX[B]
	[9] -1	0	0xd5605000 - 0xd56050ff (0x100) MX[B]
	[10] -1	0	0xd5604000 - 0xd56047ff (0x800) MX[B]
	[11] -1	0	0xd5604800 - 0xd5604bff (0x400) MX[B]
	[12] -1	0	0xd5600000 - 0xd5603fff (0x4000) MX[B]
	[13] -1	0	0xd5604c00 - 0xd5604fff (0x400) MX[B]
	[14] -1	0	0xd0400000 - 0xd04fffff (0x100000) MX[B](B)
	[15] -1	0	0xc0000000 - 0xcfffffff (0x10000000) MX[B](B)
	[16] -1	0	0xd0000000 - 0xd03fffff (0x400000) MX[B](B)
	[17] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[18] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[19] -1	0	0x00002000 - 0x000020ff (0x100) IX[B]
	[20] -1	0	0x00006000 - 0x0000601f (0x20) IX[B]
	[21] -1	0	0x00006020 - 0x0000603f (0x20) IX[B]
	[22] -1	0	0x00006100 - 0x00006103 (0x4) IX[B]
	[23] -1	0	0x00006110 - 0x00006117 (0x8) IX[B]
	[24] -1	0	0x00006120 - 0x00006123 (0x4) IX[B]
	[25] -1	0	0x00006130 - 0x00006137 (0x8) IX[B]
	[26] -1	0	0x00006040 - 0x0000605f (0x20) IX[B]
	[27] -1	0	0x00006060 - 0x0000607f (0x20) IX[B]
	[28] -1	0	0x00006080 - 0x0000609f (0x20) IX[B]
	[29] -1	0	0x000060a0 - 0x000060bf (0x20) IX[B]
	[30] -1	0	0x000060c0 - 0x000060df (0x20) IX[B]
	[31] -1	0	0x000060e0 - 0x000060ff (0x20) IX[B]
	[32] -1	0	0x00006140 - 0x00006147 (0x8) IX[B](B)
(II) resource ranges after probing:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0xd5500800 - 0xd55008ff (0x100) MX[B]
	[5] -1	0	0xd5500900 - 0xd55009ff (0x100) MX[B]
	[6] -1	0	0xd5500000 - 0xd55007ff (0x800) MX[B]
	[7] -1	0	0xd0520000 - 0xd0523fff (0x4000) MX[B]
	[8] -1	0	0xd1900000 - 0xd1901fff (0x2000) MX[B]
	[9] -1	0	0xd5605000 - 0xd56050ff (0x100) MX[B]
	[10] -1	0	0xd5604000 - 0xd56047ff (0x800) MX[B]
	[11] -1	0	0xd5604800 - 0xd5604bff (0x400) MX[B]
	[12] -1	0	0xd5600000 - 0xd5603fff (0x4000) MX[B]
	[13] -1	0	0xd5604c00 - 0xd5604fff (0x400) MX[B]
	[14] -1	0	0xd0400000 - 0xd04fffff (0x100000) MX[B](B)
	[15] -1	0	0xc0000000 - 0xcfffffff (0x10000000) MX[B](B)
	[16] -1	0	0xd0000000 - 0xd03fffff (0x400000) MX[B](B)
	[17] 0	0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[18] 0	0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[19] 0	0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[20] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[21] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[22] -1	0	0x00002000 - 0x000020ff (0x100) IX[B]
	[23] -1	0	0x00006000 - 0x0000601f (0x20) IX[B]
	[24] -1	0	0x00006020 - 0x0000603f (0x20) IX[B]
	[25] -1	0	0x00006100 - 0x00006103 (0x4) IX[B]
	[26] -1	0	0x00006110 - 0x00006117 (0x8) IX[B]
	[27] -1	0	0x00006120 - 0x00006123 (0x4) IX[B]
	[28] -1	0	0x00006130 - 0x00006137 (0x8) IX[B]
	[29] -1	0	0x00006040 - 0x0000605f (0x20) IX[B]
	[30] -1	0	0x00006060 - 0x0000607f (0x20) IX[B]
	[31] -1	0	0x00006080 - 0x0000609f (0x20) IX[B]
	[32] -1	0	0x000060a0 - 0x000060bf (0x20) IX[B]
	[33] -1	0	0x000060c0 - 0x000060df (0x20) IX[B]
	[34] -1	0	0x000060e0 - 0x000060ff (0x20) IX[B]
	[35] -1	0	0x00006140 - 0x00006147 (0x8) IX[B](B)
	[36] 0	0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[37] 0	0	0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/lib/xorg/modules//libint10.so
(II) Module int10: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.0
	ABI class: X.Org Video Driver, version 2.0
(II) Loading sub module "vbe"
(II) LoadModule: "vbe"
(II) Loading /usr/lib/xorg/modules//libvbe.so
(II) Module vbe: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.1.0
	ABI class: X.Org Video Driver, version 2.0
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/lib/xorg/modules//libvgahw.so
(II) Module vgahw: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 0.1.0
	ABI class: X.Org Video Driver, version 2.0
(**) intel(0): Depth 24, (--) framebuffer bpp 32
(==) intel(0): RGB weight 888
(==) intel(0): Default visual is TrueColor
(II) intel(0): Integrated Graphics Chipset: Intel(R) Mobile Intel® GM45 Express Chipset
(--) intel(0): Chipset: "Mobile Intel® GM45 Express Chipset"
(--) intel(0): Linear framebuffer at 0xC0000000
(--) intel(0): IO registers at addr 0xD0000000
(II) intel(0): 2 display pipes available.
(==) intel(0): Using XAA for acceleration
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Reloading /usr/lib/xorg/modules//libint10.so
(II) intel(0): initializing int10
(WW) intel(0): Bad V_BIOS checksum
(II) intel(0): Primary V_BIOS segment is: 0xc000
(II) intel(0): VESA BIOS detected
(II) intel(0): VESA VBE Version 3.0
(II) intel(0): VESA VBE Total Mem: 131008 kB
(II) intel(0): VESA VBE OEM: Intel(r)Cantiga Graphics Chip Accelerated VGA BIOS
(II) intel(0): VESA VBE OEM Software Rev: 1.0
(II) intel(0): VESA VBE OEM Vendor: Intel Corporation
(II) intel(0): VESA VBE OEM Product: Intel(r)Cantiga Graphics Controller
(II) intel(0): VESA VBE OEM Product Rev: Hardware Version 0.0
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"(II) Module "ddc" already built-in
(II) Loading sub module "i2c"
(II) LoadModule: "i2c"(II) Module "i2c" already built-in
(II) intel(0): Output VGA using monitor section monitor1
(**) intel(0): Option "PreferredMode" "1600x900"
(II) intel(0): I2C bus "CRTDDC_A" initialized.
(II) intel(0): Output LVDS has no monitor section
(II) intel(0): I2C bus "LVDSDDC_C" initialized.
(II) intel(0): Attempting to determine panel fixed mode.
(II) intel(0): I2C device "LVDSDDC_C:ddc2" registered at address 0xA0.
(II) intel(0): I2C device "LVDSDDC_C:ddc2" removed.
(II) intel(0): found backlight control method /sys/class/backlight/acpi_video0
(II) intel(0): I2C bus "SDVOCTRL_E for SDVOB" initialized.
(II) intel(0): I2C device "SDVOCTRL_E for SDVOB:SDVO Controller B" registered at address 0x70.
(II) intel(0): No SDVO device found on SDVOB
(II) intel(0): I2C device "SDVOCTRL_E for SDVOB:SDVO Controller B" removed.
(II) intel(0): I2C bus "SDVOCTRL_E for SDVOB" removed.
(II) intel(0): Output HDMI-1 has no monitor section
(II) intel(0): I2C bus "HDMIDDC_B" initialized.
(II) intel(0): HDMI output 1 detected
(II) intel(0): I2C device "LVDSDDC_C:ddc2" registered at address 0xA0.
(II) intel(0): I2C device "LVDSDDC_C:ddc2" removed.
(II) intel(0): Output VGA disconnected
(II) intel(0): Output LVDS connected
(II) intel(0): Output HDMI-1 disconnected
(II) intel(0): Output LVDS using initial mode 1600x900
(II) intel(0): Monitoring connected displays enabled
(II) intel(0): detected 512 kB GTT.
(II) intel(0): detected 130556 kB stolen memory.
(==) intel(0): video overlay key set to 0x101fe
(==) intel(0): Will not try to enable page flipping
(==) intel(0): Triple buffering disabled
(==) intel(0): Intel XvMC decoder disabled
(==) intel(0): Using gamma correction (1.0, 1.0, 1.0)
(==) intel(0): DPI set to (96, 96)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/lib/xorg/modules//libfb.so
(II) Module fb: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.3
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Loading /usr/lib/xorg/modules//libxaa.so
(II) Module xaa: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.2.0
	ABI class: X.Org Video Driver, version 2.0
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"(II) Module "ramdac" already built-in
(II) intel(0): Comparing regs from server start up to After PreInit
(WW) intel(0): Register 0x61200 (PP_STATUS) changed from 0xc0000008 to 0xd0000009
(WW) intel(0): PP_STATUS before: on, ready, sequencing idle
(WW) intel(0): PP_STATUS after: on, ready, sequencing on
(WW) intel(0): Register 0x61110 (PORT_HOTPLUG_EN) changed from 0x00000120 to 0x38000120
(WW) intel(0): Register 0x61114 (PORT_HOTPLUG_STAT) changed from 0x00000000 to 0x18100000
(WW) intel(0): Register 0x70024 (PIPEASTAT) changed from 0x00000206 to 0x00000000
(WW) intel(0): PIPEASTAT before: status: VSYNC_INT_STATUS SVBLANK_INT_STATUS VBLANK_INT_STATUS
(WW) intel(0): PIPEASTAT after: status:
(WW) intel(0): Register 0x71024 (PIPEBSTAT) changed from 0x00000246 to 0x00000206
(WW) intel(0): PIPEBSTAT before: status: VSYNC_INT_STATUS LBLC_EVENT_STATUS SVBLANK_INT_STATUS VBLANK_INT_STATUS
(WW) intel(0): PIPEBSTAT after: status: VSYNC_INT_STATUS SVBLANK_INT_STATUS VBLANK_INT_STATUS
(WW) intel(0): Register 0x321b (FBC_FENCE_OFF) changed from 0x14004600 to 0x1001a300
(==) Depth 24 pixmap format is 32 bpp
(II) do I need RAC?  No, I don't.
(II) resource ranges after preInit:
	[0] 0	0	0xc0000000 - 0xcfffffff (0x10000000) MS[B]
	[1] 0	0	0xd0000000 - 0xd03fffff (0x400000) MS[B]
	[2] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[3] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[4] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[5] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[6] -1	0	0xd5500800 - 0xd55008ff (0x100) MX[B]
	[7] -1	0	0xd5500900 - 0xd55009ff (0x100) MX[B]
	[8] -1	0	0xd5500000 - 0xd55007ff (0x800) MX[B]
	[9] -1	0	0xd0520000 - 0xd0523fff (0x4000) MX[B]
	[10] -1	0	0xd1900000 - 0xd1901fff (0x2000) MX[B]
	[11] -1	0	0xd5605000 - 0xd56050ff (0x100) MX[B]
	[12] -1	0	0xd5604000 - 0xd56047ff (0x800) MX[B]
	[13] -1	0	0xd5604800 - 0xd5604bff (0x400) MX[B]
	[14] -1	0	0xd5600000 - 0xd5603fff (0x4000) MX[B]
	[15] -1	0	0xd5604c00 - 0xd5604fff (0x400) MX[B]
	[16] -1	0	0xd0400000 - 0xd04fffff (0x100000) MX[B](B)
	[17] -1	0	0xc0000000 - 0xcfffffff (0x10000000) MX[B](B)
	[18] -1	0	0xd0000000 - 0xd03fffff (0x400000) MX[B](B)
	[19] 0	0	0x000a0000 - 0x000affff (0x10000) MS[B](OprD)
	[20] 0	0	0x000b0000 - 0x000b7fff (0x8000) MS[B](OprD)
	[21] 0	0	0x000b8000 - 0x000bffff (0x8000) MS[B](OprD)
	[22] 0	0	0x00006140 - 0x00006147 (0x8) IS[B]
	[23] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[24] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[25] -1	0	0x00002000 - 0x000020ff (0x100) IX[B]
	[26] -1	0	0x00006000 - 0x0000601f (0x20) IX[B]
	[27] -1	0	0x00006020 - 0x0000603f (0x20) IX[B]
	[28] -1	0	0x00006100 - 0x00006103 (0x4) IX[B]
	[29] -1	0	0x00006110 - 0x00006117 (0x8) IX[B]
	[30] -1	0	0x00006120 - 0x00006123 (0x4) IX[B]
	[31] -1	0	0x00006130 - 0x00006137 (0x8) IX[B]
	[32] -1	0	0x00006040 - 0x0000605f (0x20) IX[B]
	[33] -1	0	0x00006060 - 0x0000607f (0x20) IX[B]
	[34] -1	0	0x00006080 - 0x0000609f (0x20) IX[B]
	[35] -1	0	0x000060a0 - 0x000060bf (0x20) IX[B]
	[36] -1	0	0x000060c0 - 0x000060df (0x20) IX[B]
	[37] -1	0	0x000060e0 - 0x000060ff (0x20) IX[B]
	[38] -1	0	0x00006140 - 0x00006147 (0x8) IX[B](B)
	[39] 0	0	0x000003b0 - 0x000003bb (0xc) IS[B](OprU)
	[40] 0	0	0x000003c0 - 0x000003df (0x20) IS[B](OprU)
(II) intel(0): Kernel reported 716032 total, 1 used
(II) intel(0): I830CheckAvailableMemory: 2864124 kB available
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is -1, (No such device or address)
drmOpenDevice: open result is -1, (No such device or address)
drmOpenDevice: Open failed
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is -1, (No such device or address)
drmOpenDevice: open result is -1, (No such device or address)
drmOpenDevice: Open failed
drmOpenByBusid: Searching for BusID pci:0000:00:02.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 11, (OK)
drmOpenByBusid: drmOpenMinor returns 11
drmOpenByBusid: drmGetBusid reports pci:0000:00:02.0
(II) [drm] loaded kernel module for "i915" driver.
(II) [drm] DRM interface version 1.3
(II) [drm] DRM open master succeeded.
(II) intel(0): [drm] Using the DRM lock SAREA also for drawables.
(II) intel(0): [drm] framebuffer mapped by ddx driver
(II) intel(0): [drm] added 1 reserved context for kernel
(II) intel(0): X context handle = 0x1
(II) intel(0): [drm] installed DRM signal handler
(**) intel(0): Framebuffer compression disabled
(**) intel(0): Tiling enabled
(==) intel(0): VideoRam: 262144 KB
(II) intel(0): Attempting memory allocation with tiled buffers.
(II) intel(0): Allocating 4800 scanlines for pixmap cache
(II) intel(0): Tiled allocation successful.
(II) intel(0): [drm] Registers = 0xd0000000
(II) intel(0): [drm] ring buffer = 0xc0000000
(II) intel(0): [drm] mapped front buffer at 0xc0050000, handle = 0xc0050000
(II) intel(0): [drm] mapped back buffer at 0xc2900000, handle = 0xc2900000
(II) intel(0): [drm] mapped depth buffer at 0xc3328000, handle = 0xc3328000
(II) intel(0): [drm] mapped classic textures at 0xc3d50000, handle = 0xc3d50000
(II) intel(0): [drm] Initialized kernel agp heap manager, 33554432
(II) intel(0): [dri] visual configs initialized
(II) intel(0): Page Flipping disabled
(==) intel(0): Write-combining range (0xc0000000,0x10000000)
(II) intel(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0, hwp->PIOOffset is 0x0000
(II) intel(0): Using XFree86 Acceleration Architecture (XAA)
	Screen to screen bit blits
	Solid filled rectangles
	8x8 mono pattern filled rectangles
	Indirect CPU to Screen color expansion
	Solid Horizontal and Vertical Lines
	Setting up tile and stipple cache:
		32 128x128 slots
		32 256x256 slots
		16 512x512 slots
(==) intel(0): Backing store disabled
(==) intel(0): Silken mouse enabled
(II) intel(0): Initializing HW Cursor
(II) intel(0): [DRI] installation complete
(II) intel(0): xf86BindGARTMemory: bind key 0 at 0x07f7f000 (pgoffset 32639)
(II) intel(0): Fixed memory allocation layout:
(II) intel(0): 0x00000000-0x0001ffff: ring buffer (128 kB)
(II) intel(0): 0x00020000-0x00029fff: HW cursors (40 kB)
(II) intel(0): 0x0002a000-0x00031fff: logical 3D context (32 kB)
(II) intel(0): 0x00032000-0x00043fff: exa G965 state buffer (72 kB)
(II) intel(0): 0x00044000-0x00044fff: power context (4 kB)
(II) intel(0): 0x00050000-0x028effff: front buffer (41600 kB)
(II) intel(0): 0x028f0000-0x028fffff: xaa scratch (64 kB)
(II) intel(0): 0x02900000-0x03327fff: back buffer (10400 kB) X tiled
(II) intel(0): 0x03328000-0x03d4ffff: depth buffer (10400 kB) Y tiled
(II) intel(0): 0x03d50000-0x05d4ffff: classic textures (32768 kB)
(II) intel(0): 0x07f7f000:            end of stolen memory
(II) intel(0): 0x07f7f000-0x07f7ffff: HW status (4 kB)
(II) intel(0): 0x10000000:            end of aperture
(II) intel(0): using SSC reference clock of 100 MHz
(II) intel(0): Selecting standard 18 bit TMDS pixel format.
(II) intel(0): Output configuration:
(II) intel(0):   Pipe A is off
(II) intel(0):   Display plane A is now disabled and connected to pipe A.
(II) intel(0):   Pipe B is on
(II) intel(0):   Display plane B is now enabled and connected to pipe B.
(II) intel(0):   Output VGA is connected to pipe none
(II) intel(0):   Output LVDS is connected to pipe B
(II) intel(0):   Output HDMI-1 is connected to pipe none
(II) intel(0): [drm] dma control initialized, using IRQ 16
(II) intel(0): RandR 1.2 enabled, ignore the following RandR disabled message.
(II) intel(0): using SSC reference clock of 100 MHz
(II) intel(0): Selecting standard 18 bit TMDS pixel format.
(**) Option "dpms"
(**) intel(0): DPMS enabled
(II) intel(0): Set up textured video
(II) intel(0): direct rendering: Enabled
(WW) intel(0): Option "PreferredMode" is not used
(--) RandR disabled
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension XAccessControlExtension
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
(II) Initializing built-in extension XEVIE
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 12, (OK)
drmOpenByBusid: Searching for BusID pci:0000:00:02.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 12, (OK)
drmOpenByBusid: drmOpenMinor returns 12
drmOpenByBusid: drmGetBusid reports pci:0000:00:02.0
(WW) AIGLX: 3D driver claims to not support visual 0x23
(WW) AIGLX: 3D driver claims to not support visual 0x24
(WW) AIGLX: 3D driver claims to not support visual 0x25
(WW) AIGLX: 3D driver claims to not support visual 0x26
(WW) AIGLX: 3D driver claims to not support visual 0x27
(WW) AIGLX: 3D driver claims to not support visual 0x28
(WW) AIGLX: 3D driver claims to not support visual 0x29
(WW) AIGLX: 3D driver claims to not support visual 0x2a
(WW) AIGLX: 3D driver claims to not support visual 0x2b
(WW) AIGLX: 3D driver claims to not support visual 0x2c
(WW) AIGLX: 3D driver claims to not support visual 0x2d
(WW) AIGLX: 3D driver claims to not support visual 0x2e
(WW) AIGLX: 3D driver claims to not support visual 0x2f
(WW) AIGLX: 3D driver claims to not support visual 0x30
(WW) AIGLX: 3D driver claims to not support visual 0x31
(WW) AIGLX: 3D driver claims to not support visual 0x32
(II) AIGLX: Loaded and initialized /usr/lib/dri/i965_dri.so
(II) GLX: Initialized DRI GL provider for screen 0
(II) intel(0): Setting screen physical size to 423 x 238
(**) Option "CoreKeyboard"
(**) Keyboard1: always reports core events
(**) Option "Protocol" "standard"
(**) Keyboard1: Protocol: standard
(**) Option "AutoRepeat" "500 30"
(**) Option "XkbRules" "xorg"
(**) Keyboard1: XkbRules: "xorg"
(**) Option "XkbModel" "pc105"
(**) Keyboard1: XkbModel: "pc105"
(**) Option "XkbLayout" "us"
(**) Keyboard1: XkbLayout: "us"
(**) Option "XkbOptions" "compose:rwin"
(**) Keyboard1: XkbOptions: "compose:rwin"
(**) Option "CustomKeycodes" "off"
(**) Keyboard1: CustomKeycodes disabled
(**) Option "Protocol" "ExplorerPS/2"
(**) Mouse1: Device: "/dev/mouse"
(**) Mouse1: Protocol: "ExplorerPS/2"
(**) Option "CorePointer"
(**) Mouse1: always reports core events
(**) Option "Device" "/dev/mouse"
(==) Mouse1: Emulate3Buttons, Emulate3Timeout: 50
(**) Mouse1: ZAxisMapping: buttons 4 and 5
(**) Mouse1: Buttons: 9
(**) Mouse1: Sensitivity: 1
(**) Option "SendCoreEvents"
(**) Mouse2: always reports core events
(**) Mouse2: Device: "/dev/input/by-id/usb-Logitech_USB_Receiver-event-mouse"
(II) Mouse2: Found x and y relative axes
(II) Mouse2: Found mouse buttons
(II) Mouse2: Configuring as mouse
(II) Synaptics touchpad driver version 0.14.6 (1406)
(--) SynapticsMouse1 auto-dev sets device to /dev/input/event2
(**) Option "Device" "/dev/input/event2"
(**) Option "SHMConfig" "on"
(**) Option "LeftEdge" "120"
(**) Option "RightEdge" "830"
(**) Option "TopEdge" "120"
(**) Option "BottomEdge" "650"
(**) Option "VertScrollDelta" "20"
(**) Option "HorizScrollDelta" "20"
(**) Option "EdgeMotionMinSpeed" "200"
(**) Option "EdgeMotionMaxSpeed" "200"
(**) Option "FingerLow" "14"
(**) Option "FingerHigh" "15"
(**) Option "MaxTapMove" "110"
(**) Option "UpDownScrolling" "0"
(**) Option "CircularScrolling" "1"
(**) Option "CircScrollTrigger" "2"
(--) SynapticsMouse1 touchpad found
(**) Option "SendCoreEvents"
(**) SynapticsMouse1: always reports core events
(II) evaluating device (SynapticsMouse1)
(II) XINPUT: Adding extended input device "SynapticsMouse1" (type: MOUSE)
(II) evaluating device (Mouse2)
(II) XINPUT: Adding extended input device "Mouse2" (type: MOUSE)
(II) evaluating device (Mouse1)
(II) XINPUT: Adding extended input device "Mouse1" (type: MOUSE)
(II) evaluating device (Keyboard1)
(II) XINPUT: Adding extended input device "Keyboard1" (type: KEYBOARD)
(--) SynapticsMouse1 auto-dev sets device to /dev/input/event2
(**) Option "Device" "/dev/input/event2"
(--) SynapticsMouse1 touchpad found
(II) Mouse1: ps2EnableDataReporting: succeeded
(II) AIGLX: Suspending AIGLX clients for VT switch
(II) intel(0): xf86UnbindGARTMemory: unbind key 0

> ************************
> 

Comment 2 Jerry L Kreps 2008-10-17 11:42:04 UTC
(In reply to comment #0)
Please ignore the FIRST description and its Xlog.0.org.  I pasted the wrong log to the message.  And, after further experimentation reported additional information contrasting rebooting just the xserver with rebooting the laptop.
Comment 3 Gordon Jin 2008-10-19 02:41:52 UTC
This should have been fixed in kernel git://git.kernel.org/pub/scm/linux/kernel/git/anholt/drm-intel drm-intel-next branch and xf86-video-intel master branch.

Are you able to test with it?

btw, please attach log file instead of paste next time when you file bugs.


*** This bug has been marked as a duplicate of bug 17292 ***
Comment 4 Giovanni Pellerano 2008-10-19 03:00:19 UTC
Gordon is the git://git.kernel.org/pub/scm/linux/kernel/git/anholt/drm-intel drm-intel-next included in the 2.6.27 git 8 or not? 
Comment 5 Gordon Jin 2008-10-19 18:07:34 UTC
(In reply to comment #4)
> Gordon is the git://git.kernel.org/pub/scm/linux/kernel/git/anholt/drm-intel
> drm-intel-next included in the 2.6.27 git 8 or not? 

No.
Comment 6 Adam Williamson 2008-10-20 17:53:34 UTC
Copying from the other bug -

Jesse, Just to let you know - Jerry is a poor innocent end-user running Mandriva 2009 who I directed into you guys' evil clutches, he is probably not going to be able to start running bleeding-edge kernel, Mesa, libdrm and intel git builds just to test fixes for this issue :). If a possible fix can be made available for the 2.4 branch I can build it into a test package for him, but otherwise he may not be able to help with testing much.

As I said, if the fix is available for (or can relatively easily be backported to) the 2.4 driver branch, I can help Jerry test it; otherwise we'll be a bit stuck. We would need a version of the fix for the 2.4 driver branch to issue an official update to fix this issue in Mandriva 2009 anyway, it's hardly practical to bump a stable distro release to a new version of the kernel, libdrm and the new Intel driver branch.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.